<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Guest extends Model
{
    use HasFactory;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'guest_group_id',
        'guest_name',
        'is_attending',
        'diet',
        'allergies',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'is_attending' => 'boolean',
    ];

    /**
     * Relationship: Guest belongs to a GuestGroup.
     */
    public function guestGroup()
    {
        return $this->belongsTo(GuestGroup::class);
    }

    public static function upsert(array $updateData, array $uniqueBy)
    {
        return static::updateOrCreate(
            array_intersect_key($updateData, array_flip($uniqueBy)),
            $updateData
        );
    }
}