<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class GuestGroup extends Model
{
    use HasFactory;

    // Define the table name explicitly if it contains special characters like a dash
    protected $table = 'guest_groups';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'pin',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email' => 'string',
    ];
    
    /**
     * Relationship: GuestGroup has many Guests.
     */
    public function guests()
    {
        return $this->hasMany(Guest::class);
    }
}
