<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Str;

class GuestGroupSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        // Insert sample guest groups
        DB::table('guest_groups')->insert([
            [
                'pin' => $this->generateUniquePin(), // Generate a unique 6-digit number
                'email' => 'guest1@example.com',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'pin' => $this->generateUniquePin(), // Generate a unique 6-digit number
                'email' => 'guest2@example.com',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'pin' => $this->generateUniquePin(), // Generate a unique 6-digit number
                'email' => 'guest3@example.com',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'pin' => $this->generateUniquePin(), // Generate a unique 6-digit number // Generate a random unique 6-character pin
                'email' => 'guest4@example.com',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'pin' => $this->generateUniquePin(), // Generate a unique 6-digit number
                'email' => 'guest5@example.com',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'pin' => $this->generateUniquePin(), // Generate a unique 6-digit number
                'email' => 'guest6@example.com',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'pin' => $this->generateUniquePin(), // Generate a unique 6-digit number
                'email' => 'guest7@example.com',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'pin' => $this->generateUniquePin(), // Generate a unique 6-digit number
                'email' => 'guest8@example.com',
                'created_at' => now(),
                'updated_at' => now(),
            ],
        ]);
        }
    
        /**
         * Generate a unique 6-digit pin.
         */
        private function generateUniquePin(): int
        {
            do {
                $pin = mt_rand(100000, 999999);
            } while (DB::table('guest_groups')->where('pin', $pin)->exists());
    
            return $pin;
    }
}
