<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class GuestSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        // Fetch existing guest groups
        $guestGroupIds = DB::table('guest_groups')->pluck('id');

        // Insert sample guests
        DB::table('guests')->insert([
            [
                'guest_group_id' => $guestGroupIds->random(),
                'guest_name' => 'John Doe',
                'is_attending' => true,
                'diet' => 'None',
                'allergies' => null,
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'guest_group_id' => $guestGroupIds->random(),
                'guest_name' => 'Jane Smith',
                'is_attending' => false,
                'diet' => 'Vegetarian',
                'allergies' => 'Peanuts',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'guest_group_id' => $guestGroupIds->random(),
                'guest_name' => 'Alice Johnson',
                'is_attending' => true,
                'diet' => 'Vegan',
                'allergies' => 'Gluten',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'guest_group_id' => $guestGroupIds->random(),
                'guest_name' => 'Bob Brown',
                'is_attending' => true,
                'diet' => 'None',
                'allergies' => null,
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'guest_group_id' => $guestGroupIds->random(),
                'guest_name' => 'Charlie Davis',
                'is_attending' => false,
                'diet' => 'None',
                'allergies' => 'Shellfish',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'guest_group_id' => $guestGroupIds->random(),
                'guest_name' => 'Diana Evans',
                'is_attending' => true,
                'diet' => 'Vegetarian',
                'allergies' => null,
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'guest_group_id' => $guestGroupIds->random(),
                'guest_name' => 'Eve Foster',
                'is_attending' => true,
                'diet' => 'None',
                'allergies' => 'Dairy',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'guest_group_id' => $guestGroupIds->random(),
                'guest_name' => 'Frank Green',
                'is_attending' => false,
                'diet' => 'None',
                'allergies' => null,
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'guest_group_id' => $guestGroupIds->random(),
                'guest_name' => 'Grace Harris',
                'is_attending' => true,
                'diet' => 'Vegan',
                'allergies' => 'Soy',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'guest_group_id' => $guestGroupIds->random(),
                'guest_name' => 'Henry Irving',
                'is_attending' => true,
                'diet' => 'None',
                'allergies' => 'Peanuts',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'guest_group_id' => $guestGroupIds->random(),
                'guest_name' => 'Ivy Johnson',
                'is_attending' => false,
                'diet' => 'Vegetarian',
                'allergies' => null,
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'guest_group_id' => $guestGroupIds->random(),
                'guest_name' => 'Jack King',
                'is_attending' => true,
                'diet' => 'None',
                'allergies' => 'Gluten',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'guest_group_id' => $guestGroupIds->random(),
                'guest_name' => 'Karen Lee',
                'is_attending' => true,
                'diet' => 'Vegan',
                'allergies' => null,
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'guest_group_id' => $guestGroupIds->random(),
                'guest_name' => 'Leo Martin',
                'is_attending' => false,
                'diet' => 'None',
                'allergies' => 'Shellfish',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'guest_group_id' => $guestGroupIds->random(),
                'guest_name' => 'Mia Nelson',
                'is_attending' => true,
                'diet' => 'Vegetarian',
                'allergies' => 'Dairy',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'guest_group_id' => $guestGroupIds->random(),
                'guest_name' => 'Nina Owens',
                'is_attending' => true,
                'diet' => 'None',
                'allergies' => null,
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'guest_group_id' => $guestGroupIds->random(),
                'guest_name' => 'Oscar Perez',
                'is_attending' => false,
                'diet' => 'Vegan',
                'allergies' => 'Soy',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'guest_group_id' => $guestGroupIds->random(),
                'guest_name' => 'Paul Quinn',
                'is_attending' => true,
                'diet' => 'None',
                'allergies' => 'Peanuts',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'guest_group_id' => $guestGroupIds->random(),
                'guest_name' => 'Quinn Roberts',
                'is_attending' => true,
                'diet' => 'Vegetarian',
                'allergies' => null,
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'guest_group_id' => $guestGroupIds->random(),
                'guest_name' => 'Rachel Scott',
                'is_attending' => false,
                'diet' => 'None',
                'allergies' => 'Gluten',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'guest_group_id' => $guestGroupIds->random(),
                'guest_name' => 'Sam Taylor',
                'is_attending' => true,
                'diet' => 'Vegan',
                'allergies' => null,
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'guest_group_id' => $guestGroupIds->random(),
                'guest_name' => 'Tina Underwood',
                'is_attending' => true,
                'diet' => 'None',
                'allergies' => 'Shellfish',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'guest_group_id' => $guestGroupIds->random(),
                'guest_name' => 'Uma Vance',
                'is_attending' => false,
                'diet' => 'Vegetarian',
                'allergies' => 'Dairy',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'guest_group_id' => $guestGroupIds->random(),
                'guest_name' => 'Victor White',
                'is_attending' => true,
                'diet' => 'None',
                'allergies' => null,
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'guest_group_id' => $guestGroupIds->random(),
                'guest_name' => 'Wendy Xander',
                'is_attending' => true,
                'diet' => 'Vegan',
                'allergies' => 'Soy',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'guest_group_id' => $guestGroupIds->random(),
                'guest_name' => 'Xander Young',
                'is_attending' => false,
                'diet' => 'None',
                'allergies' => 'Peanuts',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'guest_group_id' => $guestGroupIds->random(),
                'guest_name' => 'Yara Zane',
                'is_attending' => true,
                'diet' => 'Vegetarian',
                'allergies' => null,
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'guest_group_id' => $guestGroupIds->random(),
                'guest_name' => 'Zane Adams',
                'is_attending' => true,
                'diet' => 'None',
                'allergies' => 'Gluten',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'guest_group_id' => $guestGroupIds->random(),
                'guest_name' => 'Aaron Baker',
                'is_attending' => false,
                'diet' => 'Vegan',
                'allergies' => null,
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'guest_group_id' => $guestGroupIds->random(),
                'guest_name' => 'Bella Carter',
                'is_attending' => true,
                'diet' => 'None',
                'allergies' => 'Shellfish',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'guest_group_id' => $guestGroupIds->random(),
                'guest_name' => 'Cody Daniels',
                'is_attending' => true,
                'diet' => 'Vegetarian',
                'allergies' => 'Dairy',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'guest_group_id' => $guestGroupIds->random(),
                'guest_name' => 'Daisy Edwards',
                'is_attending' => false,
                'diet' => 'None',
                'allergies' => null,
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'guest_group_id' => $guestGroupIds->random(),
                'guest_name' => 'Ethan Foster',
                'is_attending' => true,
                'diet' => 'Vegan',
                'allergies' => 'Soy',
                'created_at' => now(),
                'updated_at' => now(),
            ]
        ]);
    }
}
