<header
  class="bg-white text-gray-600 top-0 z-50 w-full border-b-2 border-gold bg-opacity-50 p-4 transition-transform duration-300"
>
  <div class="container mx-auto flex items-center justify-between">
    <x-nav-link url="/" :active="request()->is('/')">
      <img
        src="{{ asset('theme/assets/images/logo.svg') }}"
        alt="The Goldstones 2025 Logo"
        class="static z-50 inline-block h-24 transform"
      />
    </x-nav-link>

    <nav class="hidden items-center space-x-4 md:flex">
      <x-nav-link url="/" :active="request()->is('/')">Home</x-nav-link>
      <x-nav-link
        url="/accommodation"
        :active="request()->is('accommodation')"
      >
        Accommodation
      </x-nav-link>
      <x-nav-link url="/venue" :active="request()->is('venue')">
        The Venue
      </x-nav-link>
      <x-nav-link url="/contact" :active="request()->is('contact')">
        Contact us
      </x-nav-link>
      <x-button-link url="/rsvp" icon="edit">RSVP</x-button-link>
    </nav>
    <button
      @click="open = !open"
      id="hamburger"
      class="text-gray-600 flex items-center md:hidden"
    >
      <i class="fa fa-bars text-2xl"></i>
    </button>
  </div>
  <!-- Mobile Menu -->
  <nav
    x-show="open"
    @click.away="open = false"
    id="mobile-menu"
    class="text-gray-600 bg-white mt-5 hidden space-y-2 border border-gold pb-4"
  >
    <x-nav-link url="/" :active="request()->is('/')" :mobile="true">
      Home
    </x-nav-link>
    <x-nav-link
      url="/accommodation"
      :active="request()->is('accommodation')"
      :mobile="true"
    >
      Accommodation
    </x-nav-link>
    <x-nav-link url="/venue" :active="request()->is('venue')" :mobile="true">
      The Venue
    </x-nav-link>
    <x-nav-link
      url="/contact"
      :active="request()->is('contact')"
      :mobile="true"
    >
      Contact us
    </x-nav-link>
    <div class="ml-5 mt-5">
      <x-button-link url="/rsvp" icon="edit" :mobile="true">
        RSVP
      </x-button-link>
    </div>
  </nav>
</header>
