<x-guest-layout>
  <x-page-header title="RSVP Form" />
  <section class="page-title container mx-auto">
    <p class="text-md my-4">
      Please carefully check your details and once happy, click save all.
    </p>
  </section>

  <div class="container mx-auto">
    <form
      action="{{ route('save-all-guests') }}"
      method="post"
      class="align-center mb-4 flex w-full flex-wrap border-2 border-gold px-4 py-4"
    >

    <div class="align-center flex w-full justify-between">
      <div class="py-2">
        <div class="flex flex-wrap flex-col w-full md:flex-row">
          <h2 class="mb-2 font-sans">
            Group Email: Please enter your email for confirmation and updates:
          </h2>
          <input
            type="email"
            name="guestGroupEmail"
            value="{{ $guestGroup->email }}"
            class="w-full border"
          />
        </div>
        <input
          type="hidden"
          name="guestGroupID"
          value="{{ $guestGroup->id }}"
        />
      </div>
    </div>
      @csrf
      @foreach ($guests as $guest)
        <div class="border-2 border-gray-200 w-full mb-2 bg-gray-100">
          <input
          type="hidden"
          name="guests[{{ $loop->index }}][id]"
          value="{{ $guest->id }}"
        />
        <div class="flex w-full flex-wrap">
          <input
            type="hidden"
            name="guests[{{ $loop->index }}][id]"
            value="{{ $guest->id }}"
          />

          <div class="w-full px-2 py-1 md:w-1/6">
            <h6 class="font-sans">Guest {{ $loop->index + 1 }}:</h6>
          </div>
          <div class="w-full px-2 py-1 md:w-1/5">
            Name:
            <input
              type="text"
              name="guests[{{ $loop->index }}][guest_name]"
              value="{{ $guest->guest_name }}"
              class="w-full rounded border px-2 py-1"
            />
          </div>
          <div class="w-full px-2 py-1 md:w-1/5">
            Attending:
            <select
              name="guests[{{ $loop->index }}][is_attending]"
              class="w-full rounded border px-2 py-1"
            >
              <option value="1" {{ $guest->is_attending ? 'selected' : '' }}>
                Yes
              </option>
              <option value="0" {{ ! $guest->is_attending ? 'selected' : '' }}>
                No
              </option>
            </select>
          </div>
          <div class="w-full px-2 py-1 md:w-1/5">
            Diet:
            <select
              name="guests[{{ $loop->index }}][diet]"
              class="w-full rounded border px-2 py-1"
            >
              <option
                value="None"
                {{ $guest->diet == 'None' ? 'selected' : '' }}
              >
                None
              </option>
              <option
                value="Vegan"
                {{ $guest->diet == 'Vegan' ? 'selected' : '' }}
              >
                Vegan
              </option>
              <option
                value="Vegetarian"
                {{ $guest->diet == 'Vegetarian' ? 'selected' : '' }}
              >
                Vegetarian
              </option>
            </select>
          </div>
          <div class="w-full px-2 py-1 md:w-1/5">
            Allergies:
            <input
              type="text"
              name="guests[{{ $loop->index }}][allergies]"
              value="{{ $guest->allergies }}"
              class="w-full rounded border px-2 py-1"
            />
          </div>
        </div>
        <br />
        </div>
      @endforeach

        <div class="flex  justify-start w-full">
          <button
            type="submit"
            class=" bg-gold px-4 py-2 font-bold text-white hover:bg-blue-950"
          >
            Save All
          </button>
        </div>
      </div>
    </form>
  </div>
</x-guest-layout>
