<?php

use App\Http\Controllers\ProfileController;
use App\Http\Controllers\RsvpController;
use Illuminate\Support\Facades\Route;

// Route::get('test', function () {
//     \Illuminate\Support\Facades\Mail::to('adam_goldstone@hotmail.com')->send(
//         new \App\Mail\RsvpConfirmation()
//     );
//     return 'Email sent';
// });

Route::get('/', function () {
    return view('welcome');
});
Route::get('/accommodation', function () {
    return view('accommodation');
});
Route::get('/rsvp', function () {
    return view('rsvp');
});
Route::get('/venue', function () {
    return view('venue');
});
Route::get('/contact', function () {
    return view('contact');
});
Route::get('/our-love-story', function () {
    return view('our-love-story');
});
Route::post('/contact/send', function () {
    return response()->json(['message' => 'Contact form submitted successfully']);
})->name('contact.send');

Route::get('search-rsvp-pin', [RsvpController::class, 'searchRsvpPin'])->name('search-rsvp-pin');
Route::post('save-all-guests', [RsvpController::class, 'saveAllGuests'])->name('save-all-guests');
Route::get('confirmation-thanks', function () {
    return view('components/rsvp/confirmation-thanks')->with('success', 'RSVP updated successfully');
})->name('confirmation-thanks');

Route::get('/dashboard', function () {
    return view('dashboard');
})->middleware(['auth', 'verified'])->name('dashboard');

Route::middleware('auth')->group(function () {
    Route::get('/profile', [ProfileController::class, 'edit'])->name('profile.edit');
    Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
    Route::delete('/profile', [ProfileController::class, 'destroy'])->name('profile.destroy');
});

require __DIR__.'/auth.php';
